> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete the blog post

> Marks the blog post as deleted. The blog post can be restored later via a POST to the restore-deleted endpoint.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/blog-posts-v2.json DELETE /content/api/v2/blog-posts/{blog_post_id}
openapi: 3.0.1
info:
  title: Blog Posts API - V2
  version: v2
  description: >-
    Use the blog posts API to create, manage, and publish blog posts on your
    website.
  x-hubspot-api-use-case: Retrieve all blog posts created this year as a part of a content audit.
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Blog Posts
paths:
  /content/api/v2/blog-posts/{blog_post_id}:
    delete:
      tags:
        - Blog Posts
      summary: Delete the blog post
      description: >-
        Marks the blog post as deleted. The blog post can be restored later via
        a POST to the restore-deleted endpoint.
      operationId: delete-content-api-v2-blog-posts-blog_post_id
      parameters:
        - name: blog_post_id
          in: path
          required: true
          description: Unique identifier for a particular blog post
          schema:
            type: integer
            format: int64
      responses:
        '204':
          description: Blog post deleted
      security:
        - hapikey: []
        - oauth2:
            - content
components: {}

````